Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024726
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-09-10 10:282013-09-23 12:30
ReporterjecharriView Statuspublic 
Assigned Toshankarb 
PriorityurgentResolutionfixedFixed in Version3.0MP29
StatusclosedFix in branchFixed in SCM revision57d7ed05f9b6
ProjectionnoneETAnoneTarget Version3.0MP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2012-04-26
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/0a1670b979e2c0d42e97e8c8b045b4a760df9a28 [^]
Triggers an Emergency PackNo
Summary

0024726: Problems with Selectors if you migrate from Openbravo 2.22

DescriptionProblems with Selectors if you migrate from Openbravo 2.22

The porblem is that in 2.22 the id's where numeric ID's with only 7 digits
Steps To Reproduce-Create a BP
-Update the id to 7 digits by database
-Go to ERP
-Go to window sales order and create and order with recently created BP
-Close the window
-Open the window again
-Open the order in grid view
-Delete the value in field BP
Finally start writting something, you will see that field is filled with "OL_BP_ID+YOUR_CHARACTERS"
Proposed Solutionchange the function OB.Utilities.isUUID in file ob-utilities.js

OB.Utilities.isUUID = function (object) {
  if (typeof object !== 'string') {
    return false;
  }
  if (object.length !== 7 && object.length !== 32) {
    return false;
  }
  if (object.length === 32){
      return (/[A-Fa-f0-9]{32,32}/).test(object);
  }
  else if (object.length === 7){
      return (/[A-Fa-f0-9]{7,7}/).test(object);
  }
  return (/[A-Fa-f0-9]{32,32}/).test(object);
};
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00203523.0MP11 closedmarvintm A selector doesn't work when writing on the field if exist a field with a displaylogic referencing to the field of the selector 

-  Notes
(0061053)
hgbot (developer)
2013-09-10 14:01

Repository: erp/devel/pi
Changeset: 6a60136ef23fcbed3a02c186aa63bc9cd0950bd0
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Sep 10 16:10:38 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/6a60136ef23fcbed3a02c186aa63bc9cd0950bd0 [^]

Fixes Issue 0024726: Problems with Selectors if you migrate from Openbravo 2.22

Certain ID fields are of length 7 in mp2.2, so when using such fields, in selectors, when the whole text is typed, the text is getting replaced with the ID.
Updated OB.Utilities.isUUID method to add support for 7 digit ID fields.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
---
(0061073)
alostale (developer)
2013-09-11 10:33
edited on: 2013-09-11 10:34

Reopening issue because pushed fix is incomplete.

Previous to 2.50, IDs were numeric values up to 10 digits. (See 2.3 definition https://code.openbravo.com/erp/stable/2.3x/file/04dd9e1cdf0a/database/model/tables/M_PRODUCT.xml [^])

Current fix:
-assumes they are exactly 7 characters
-allows alphabetic [A-F] characters for old IDs, but they are always numeric

(0061087)
hgbot (developer)
2013-09-11 20:22

Repository: erp/devel/pi
Changeset: dd0f6674c85196f95c3ddfe97a527b764fd6df99
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Sep 11 23:50:28 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/dd0f6674c85196f95c3ddfe97a527b764fd6df99 [^]

Fixes Issue 0024726: Problems with Selectors if you migrate from Openbravo 2.22

In the fix for the issue 20352 [1], the condition to replace the numbers only if its a 32 characters UUID was introduced.
But there are ID's in the system that is upto 10 characters, but all numbers. So it does not replace the numbers for these cases,
so instead of the text, the ID's were shown. Now added condition to check the following:
1. uuid's length should be less than 10 or equal to 32.
2. If uuid's length is less than 10, it should contain only numeric values

[1] https://code.openbravo.com/erp/devel/pi/rev/0a1670b979e2c0d42e97e8c8b045b4a760df9a28 [^]

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
---
(0061126)
alostale (developer)
2013-09-13 08:18

Code reviewed + verified
(0061194)
hgbot (developer)
2013-09-17 13:01

Repository: erp/devel/pi
Changeset: e8206f71dbfcf36c1aeeeec0677de53ce609eb92
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Sep 17 16:27:47 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e8206f71dbfcf36c1aeeeec0677de53ce609eb92 [^]

Related to Issue 0024726: Backout changeset dd0f6674c851

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
---
(0061196)
shankarb (developer)
2013-09-17 13:02

Fix backed out in changeset https://code.openbravo.com/erp/devel/pi/rev/add3314933ea [^] as it causes issue https://issues.openbravo.com/view.php?id=24787. [^]
(0061232)
hudsonbot (developer)
2013-09-17 19:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test
(0061238)
hudsonbot (developer)
2013-09-17 19:03

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test
(0061278)
hudsonbot (developer)
2013-09-18 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/03baede6c83a [^]

Maturity status: Test
(0061334)
hgbot (developer)
2013-09-23 04:27

Repository: erp/devel/pi
Changeset: 57d7ed05f9b62e131fd5c6637139370302cf7fb2
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Sun Sep 22 15:14:43 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/57d7ed05f9b62e131fd5c6637139370302cf7fb2 [^]

Fixes Issue 0024726: Problems with Selectors if you migrate from Openbravo 2.22

* The isUUID method supports ID's of length up to 10 characters, but should contain only numbers.
* The changed method of the selector has been modified to accomodate this change.
For eg., if a business partner name is 112ABC then when typing 1, it was removed with empty string.
Now it compares with the value map and before replacing, checks whether the fullidentifier has been entered.
Only then it is replaced with the value.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0061351)
hudsonbot (developer)
2013-09-23 12:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5c14f4f0e8ce [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-10 10:28 jecharri New Issue
2013-09-10 10:28 jecharri Assigned To => AugustoMauch
2013-09-10 10:28 jecharri Web browser => Google Chrome
2013-09-10 10:28 jecharri Modules => Core
2013-09-10 10:28 jecharri Triggers an Emergency Pack => No
2013-09-10 11:50 shankarb Assigned To AugustoMauch => shankarb
2013-09-10 14:00 shankarb Review Assigned To => AugustoMauch
2013-09-10 14:00 shankarb Web browser Google Chrome => Google Chrome
2013-09-10 14:00 shankarb Issue Monitored: AugustoMauch
2013-09-10 14:01 hgbot Checkin
2013-09-10 14:01 hgbot Note Added: 0061053
2013-09-10 14:01 hgbot Status new => resolved
2013-09-10 14:01 hgbot Resolution open => fixed
2013-09-10 14:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6a60136ef23fcbed3a02c186aa63bc9cd0950bd0 [^]
2013-09-11 10:33 alostale Note Added: 0061073
2013-09-11 10:33 alostale Status resolved => new
2013-09-11 10:33 alostale Resolution fixed => open
2013-09-11 10:34 alostale Note Edited: 0061073 View Revisions
2013-09-11 10:35 alostale Relationship added related to 0020352
2013-09-11 19:42 shankarb Web browser Google Chrome => Google Chrome
2013-09-11 19:42 shankarb Regression level => Production - Confirmed Stable
2013-09-11 19:42 shankarb Regression date => 2012-04-26
2013-09-11 19:42 shankarb Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/0a1670b979e2c0d42e97e8c8b045b4a760df9a28 [^]
2013-09-11 20:22 hgbot Checkin
2013-09-11 20:22 hgbot Note Added: 0061087
2013-09-11 20:22 hgbot Status new => resolved
2013-09-11 20:22 hgbot Resolution open => fixed
2013-09-11 20:22 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/6a60136ef23fcbed3a02c186aa63bc9cd0950bd0 [^] => http://code.openbravo.com/erp/devel/pi/rev/dd0f6674c85196f95c3ddfe97a527b764fd6df99 [^]
2013-09-13 08:18 alostale Review Assigned To AugustoMauch => alostale
2013-09-13 08:18 alostale Note Added: 0061126
2013-09-13 08:18 alostale Status resolved => closed
2013-09-13 08:18 alostale Fixed in Version => 3.0MP28
2013-09-17 13:01 hgbot Checkin
2013-09-17 13:01 hgbot Note Added: 0061194
2013-09-17 13:02 shankarb Note Added: 0061196
2013-09-17 13:02 shankarb Status closed => new
2013-09-17 13:02 shankarb Resolution fixed => open
2013-09-17 13:02 shankarb Fixed in Version 3.0MP28 =>
2013-09-17 19:02 hudsonbot Checkin
2013-09-17 19:02 hudsonbot Note Added: 0061232
2013-09-17 19:03 hudsonbot Checkin
2013-09-17 19:03 hudsonbot Note Added: 0061238
2013-09-18 18:53 hudsonbot Checkin
2013-09-18 18:53 hudsonbot Note Added: 0061278
2013-09-23 04:26 shankarb Review Assigned To alostale => AugustoMauch
2013-09-23 04:26 shankarb Web browser Google Chrome => Google Chrome
2013-09-23 04:27 hgbot Checkin
2013-09-23 04:27 hgbot Note Added: 0061334
2013-09-23 04:27 hgbot Status new => resolved
2013-09-23 04:27 hgbot Resolution open => fixed
2013-09-23 04:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/dd0f6674c85196f95c3ddfe97a527b764fd6df99 [^] => http://code.openbravo.com/erp/devel/pi/rev/57d7ed05f9b62e131fd5c6637139370302cf7fb2 [^]
2013-09-23 10:00 alostale Status resolved => closed
2013-09-23 10:00 alostale Fixed in Version => 3.0MP29
2013-09-23 12:30 hudsonbot Checkin
2013-09-23 12:30 hudsonbot Note Added: 0061351


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker